Download it now!
Bug 133071 - FILEOPEN DOCX Vertical alignment of grouped shape incorrectly imported
Summary: FILEOPEN DOCX Vertical alignment of grouped shape incorrectly imported
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2020-05-15 17:11 UTC by NISZ LibreOffice Team
Modified: 2020-09-14 09:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word (22.62 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-05-15 17:11 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (101.85 KB, image/png)
2020-05-15 17:11 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-05-15 17:11:03 UTC
Created attachment 160872 [details]
Example file from Word

Attached document has a Word-preset page numbering in the footer.
When opened in Writer it appears a bit above the original position.

Steps to reproduce:
    1. Create a Word document with footer and select the Footer -> Page numbering -> At the bottom of the page ->Arrow 2 option. Save as DOCX and open it in Writer.

Actual results:
Grouped shape is vertically aligned Bottom, relative to the Page text area instead of the original bottom margin, which could be mapped to the Entire page option in Writer to get more the ~same positioning.

Expected results:
Grouped shape is vertically aligned to the bottom of the page.

LibreOffice details:
Version: 7.0.0.0.alpha1+ (x64)
Build ID: 1ed7607454d1492f65c78443cb661d5873face6b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win; 
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2020-05-15 17:11:25 UTC
Created attachment 160873 [details]
Screenshot of the original document side by side in Word and Writer
Comment 2 László Németh 2020-08-07 10:18:58 UTC
Fixed in the master.

Note: the DOCX export is still result an object distorted a little bit, maybe we can report/check that, too.
Comment 3 Commit Notification 2020-08-07 10:20:04 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d54264e34c1ccc0eaf4178ab165a843028500223

tdf#133071 DOCX import: fix vertical alignment to bottom page margin

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2020-09-14 09:34:47 UTC
Verified in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 34a09c9c61bff30e8c4d16132bb47b2b1b16e422
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded